/*
 *  TValuePictButtonControl.h
 *  AUStk
 *
 *  Created by Airy Andr on Sun Oct 20 2002.
 *  Copyright (c) 2002 Airy Andr. All rights reserved.
 *
 */

#ifndef TValuePictButtonControl_H_
#define TValuePictButtonControl_H_

#include "TValuePictControl.h"

class TValuePictButtonControl
: public TValuePictControl
{
    friend class TViewNoCompositingCompatible;
public:
    static  CFStringRef GetControlName() { return CFSTR("pbutton");};
protected:
	// Contstructor/Destructor
	virtual ~TValuePictButtonControl();
    TValuePictButtonControl(HIViewRef inControl);

    // We don't use tracking in this control.
    virtual bool UseNonblockingTracking() { return false; }

    virtual ControlKind		GetKind();
    virtual OSStatus		StillTracking(TCarbonEvent&inEvent, HIPoint& from);

    virtual OSStatus		ControlHit(
				 ControlPartCode		inPart,
				 UInt32				inModifiers );
};

#endif // 