/*
 *  TValuePictControl.h
 *  AUStk
 *
 *  Created by Airy Andr on Sun Oct 20 2002.
 *  Copyright (c) 2002 Airy Andr. All rights reserved.
 *
 */

#ifndef TValuePictControl_H_
#define TValuePictControl_H_

#include "TViewNoCompositingCompatible.h"

class TValuePictControl
: public TViewNoCompositingCompatible
{
    friend class TViewNoCompositingCompatible;
public:
    static  CFStringRef GetControlName() { return CFSTR("valpict");};
protected:
	// Contstructor/Destructor
	TValuePictControl(HIViewRef inControl);
    virtual ~TValuePictControl();

    virtual ControlKind		GetKind();

	virtual bool UseNonblockingTracking() { return true; }

    virtual OSStatus		Initialize( TCarbonEvent& inEvent );
    virtual OSStatus		StillTracking(TCarbonEvent&inEvent, HIPoint& from);
    virtual void		CompatibleDraw(RgnHandle	inLimitRgn, CGContextRef inContext,bool  inCompositing );
    virtual void		TitleChanged();
    virtual void		ValueChanged();
//    virtual UInt32			GetBehaviors() { return TViewNoCompositingCompatible::GetBehaviors() | kControlHasRadioBehavior; }
    
private:
    CGImageRef mImage;
    CFMutableDictionaryRef mImageCache;
};

#endif // 