/*
 *  TValuePictButtonControl.cpp
 *  NeuSynth
 *
 *  Created by Airy Andr on Sun Oct 20 2002.
 *  Copyright (c) 2002 __MyCompanyName__. All rights reserved.
 *
 */

#include "TValuePictButtonControl.h"
// -----------------------------------------------------------------------------
//	TValuePictButtonControl constructor
// -----------------------------------------------------------------------------
//
TValuePictButtonControl::TValuePictButtonControl(
			 HIViewRef			inControl )
:	TValuePictControl( inControl )
{
}

// -----------------------------------------------------------------------------
//	TValuePictButtonControl destructor
// -----------------------------------------------------------------------------
//	Clean up after yourself.
//
TValuePictButtonControl::~TValuePictButtonControl()
{
}
// -----------------------------------------------------------------------------
//	GetKind
// -----------------------------------------------------------------------------
//
ControlKind TValuePictButtonControl::GetKind()
{
    const ControlKind kMyKind = { 'airy', 'butn' };

    return kMyKind;
}

// -----------------------------------------------------------------------------
//	Track
// -----------------------------------------------------------------------------
//	Default tracking method.
//
OSStatus TValuePictButtonControl::Track(
				  TCarbonEvent&		inEvent,
				  ControlPartCode*	outPart )
{
    return eventNotHandledErr;
}
// -----------------------------------------------------------------------------
//	ControlHit
// -----------------------------------------------------------------------------
//	ControlHit method.
//
OSStatus TValuePictButtonControl::ControlHit(
					     ControlPartCode		inPart,
					     UInt32				inModifiers )
{
    int val = GetValue();
    if (val == GetMaximum())
	SetValue(GetMinimum());
    else
	SetValue(val+1);
    return noErr;
}
