#include <AudioUnit/AudioUnit.r>
#include <AudioUnit/AudioUnitCarbonView.r>
#include "Voweler_Constantes.h"

//____________________________________________________________________________
// component resources for Audio Unit
#define RES_ID			1000
#define COMP_TYPE		'aufx'
#define COMP_SUBTYPE		'Vowl'
#define COMP_MANUF		'Airy'
#define VERSION			VOWELER_VERSION
#define NAME			"Airy: Voweler"
#define DESCRIPTION		"Airy's Simple Voweler Filter"
#define ENTRY_POINT		"CVowelerEntry"

#include "AUResources.r"


// ____________________________________________________________________________
// component resources for Audio Unit Carbon View
#define RES_ID			2000
#define COMP_TYPE		'auvw'
#define COMP_SUBTYPE		'Vowl'
#define COMP_MANUF		'Airy'
#define VERSION			VOWELER_VERSION
#define NAME			"Airy: Simple Voweler View"
#define DESCRIPTION		"Airy's Simple Voweler View"
#define ENTRY_POINT		"CVowelerViewEntry"

#include "AUResources.r"

