//
//  AUGUIView.m
//  auguiCocoa
//
//  Created by Airy Andr on Sat May 22 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import "AUGUIView.h"
#import "AUGUIParameterBinding.h"


static void ParameterListenerDispatcher (void *inRefCon, void *inObject, const AudioUnitParameter *inParameter, Float32 inValue) {
    AUGUIView *SELF = (AUGUIView *)inRefCon;
    [SELF _parameterListener:inObject parameter:inParameter value:inValue];
}

@implementation AUGUIView
#pragma mark ____ (INIT /) DEALLOC ____
- (id)initWithFrame:(NSRect)frameRect {
    [super initWithFrame:frameRect];
    return self;
}

- (void)dealloc {
}

#pragma mark ____ PUBLIC FUNCTIONS ____
- (void)setAU:(AudioUnit)inAU {
    // remove previous listeners
    mAU = inAU;
}

- (AudioUnit)AU {
    return mAU;
}

@end
