/**
 *      filename: auguiPalette.m
 *      created : Fri Mar 30 09:58:22 2001
 *      LastEditDate Was "Thu May 31 23:11:47 2001"
 *
 */


#import "auguiPalette.h"
#import "auguiFramework.h"


@implementation auguiPalette

- init
{
    [super init];
    return self;
}

- (void)finishInstantiate
{
    _param = [[AUGUIParameterBinding alloc] init];
    [self associateObject:_param
                   ofType:IBObjectPboardType
                 withView:_paramIDView];
    _controller = [[AUGUIController alloc] init];
    [self associateObject:_controller
                   ofType:IBObjectPboardType
                 withView:_controllerView];
}

- (void)dealloc
{
    [_param release];
    [_controller release];
    [super dealloc];
}
@end

@implementation AUGUIKnob (AUGUIKnobInspector)

- (NSString *)inspectorClassName
{
    return @"AUGUIKnobInspector";
}
@end

@implementation AUGUIParameterBinding (AUGUIParamInspector)

- (NSString *)inspectorClassName
{
    return @"AUGUIParamInspector";
}
@end

@implementation AUGUIController (AUGUIParamInspector)
#if 0
- (NSString *)inspectorClassName
{
    return @"AUGUIControllerInspector";
}
#endif
- (NSString *)connectInspectorClassName
{
    return @"AUGUIControllerInspector";
}
@end

